RegionConfig.Index.Functional (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.configuration

## Class RegionConfig.Index.Functional

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionConfig.Index.Functional

- Enclosing class:
    RegionConfig.Index

      public static class RegionConfig.Index.Functional
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="expression" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="from-clause" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="imports" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `expression`
    `protected java.lang.String` | `fromClause`
    `protected java.lang.String` | `imports`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Functional()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpression()` Gets the value of the expression property.
    `java.lang.String` | `getFromClause()` Gets the value of the fromClause property.
    `java.lang.String` | `getImports()` Gets the value of the imports property.
    `void` | `setExpression(java.lang.String value)` Sets the value of the expression property.
    `void` | `setFromClause(java.lang.String value)` Sets the value of the fromClause property.
    `void` | `setImports(java.lang.String value)` Sets the value of the imports property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### expression

          protected java.lang.String expression

    - #### fromClause

          protected java.lang.String fromClause

    - #### imports

          protected java.lang.String imports

  - ### Constructor Detail

    - #### Functional

          public Functional()

  - ### Method Detail

    - #### getExpression

          public java.lang.String getExpression()

      Gets the value of the expression property.
      Returns:
        possible object is `String`

    - #### setExpression

          public void setExpression(java.lang.String value)

      Sets the value of the expression property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFromClause

          public java.lang.String getFromClause()

      Gets the value of the fromClause property.
      Returns:
        possible object is `String`

    - #### setFromClause

          public void setFromClause(java.lang.String value)

      Sets the value of the fromClause property.
      Parameters:
        `value` - allowed object is `String`

    - #### getImports

          public java.lang.String getImports()

      Gets the value of the imports property.
      Returns:
        possible object is `String`

    - #### setImports

          public void setImports(java.lang.String value)

      Sets the value of the imports property.
      Parameters:
        `value` - allowed object is `String`